import VxeImagePreviewComponent from "../image/src/preview.mjs";
import { VxeUI } from "../../../@vxe-ui/core/es/index.esm.mjs";
import { dynamicApp } from "../dynamics/index.mjs";
import { openPreviewImage } from "../image/src/util.mjs";
const VxeImagePreview = Object.assign(VxeImagePreviewComponent, {
  install(app) {
    app.component(VxeImagePreviewComponent.name, VxeImagePreviewComponent);
  }
});
VxeUI.previewImage = openPreviewImage;
dynamicApp.use(VxeImagePreview);
VxeUI.component(VxeImagePreviewComponent);
const ImagePreview = VxeImagePreview;
export {
  ImagePreview,
  VxeImagePreview,
  VxeImagePreview as default
};
